%define name    gst-plugins  
%define ver     0.3.1
%define rel     1
%define prefix  /usr
%define sysconfdir /etc

Summary: GStreamer Streaming-media framework plugins
Name: %name
Version: %ver
Release: %rel
Copyright: LGPL
Group: Libraries/Multimedia
Source: %{name}-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{ver}-root
Docdir: %{prefix}/doc
Prefix: %prefix
Requires: libxml >= 1.8.0
Requires: gstreamer >= %{ver}
BuildRequires: nasm => 0.90

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README  

%prep
%setup
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir} --mandir=$RPM_BUILD_ROOT%{prefix}/share/man  

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make 2>&1 | tee make.log
else
  make 2>&1 | tee make.log
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

### ESD ###
%package -n gstreamer-esd
Summary: Gstreamer plugin for ESD sound output
Group: Libraries/Multimedia
Requires: esound >= 0.2.8
Requires: gstreamer >= %{ver}

%description -n gstreamer-esd
Output plugin for GStreamer for use with the esound package

%files -n gstreamer-esd
%defattr(-, root, root)
%{prefix}/lib/gst/libesd*

%post -n gstreamer-esd
%{prefix}/bin/gst-register --gst-mask=0

%postun -n gstreamer-esd
%{prefix}/bin/gst-register --gst-mask=0
/sbin/ldconfig

### FESTIVAL ###
#%package -n gstreamer-festival
#Summary: GStreamer plugin for text-to-speech support using Festival
#Group: Libraries/Multimedia
#Requires: gstreamer >= %{ver}
#Requires: festival >= 1.4.1
#
#%description -n gstreamer-festival
#Element for text-to-speech using the festival server.
#
#%files -n gstreamer-festival
#%defattr(-, root, root)
#%{prefix}/lib/gst/libgstfestival*
#
#%post -n gstreamer-festival
#%{prefix}/bin/gst-register --gst-mask=0

### HERMES ###
%package -n gstreamer-xvideosink
Summary: Gstreamer XFree output plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: Hermes => 1.3.0
%description -n gstreamer-xvideosink
Xfree86 video sink

%files -n gstreamer-xvideosink
%defattr(-, root, root)
%{prefix}/lib/gst/libxvideosink*

%post -n gstreamer-xvideosink
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-colorspace
Summary: Gstreamer colorspace conversion plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: Hermes => 1.3.0
%description -n gstreamer-colorspace
Colorspace plugin based on Hermes library

%files -n gstreamer-colorspace
%defattr(-, root, root)
%{prefix}/lib/gst/libgstcolorspace*

%post -n gstreamer-colorspace
%{prefix}/bin/gst-register --gst-mask=0


### LAME ###
#%package -n gstreamer-lame
#Summary: GStreamer plugin encoding mp3 songs
#Group: Libraries/Multimedia
#Requires: gstreamer >= %{ver}
#
#%description -n gstreamer-lame
#Plugin for encoding mp3 with lame
#
#%files -n gstreamer-lame
#%defattr(-, root, root)
#%{prefix}/lib/gst/libgstlame*
#
#%post -n gstreamer-lame
#%{prefix}/bin/gst-register --gst-mask=0

### MAD ###
%package -n gstreamer-mad  
Summary: Plugin using MAD for mp3 decoding
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: gstreamer-plugin-libs = %{ver}
Requires: mad >= 0.13.0

%description -n gstreamer-mad
Plugin for playback of mp3 songs using the very good MAD library

%files -n gstreamer-mad
%defattr(-, root, root)  
%{prefix}/lib/gst/libgstmad*

%post -n gstreamer-mad
%{prefix}/bin/gst-register --gst-mask=0

%postun -n gstreamer-mad
%{prefix}/bin/gst-register --gst-mask=0
/sbin/ldconfig

### OSS ###
%package -n gstreamer-oss
Summary: Gstreamer plugins for input and output using OSS
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-oss 
Plugins for output and input to the OpenSoundSytem audio
drivers found in the Linux kernels or commercially available
from OpenSound.

%files -n gstreamer-oss
%defattr(-, root, root)
%{prefix}/lib/gst/libgstoss*

%post -n gstreamer-oss
%{prefix}/bin/gst-register --gst-mask=0

%postun -n gstreamer-oss
%{prefix}/bin/gst-register --gst-mask=0
/sbin/ldconfig

### Vorbis ###
%package -n gstreamer-vorbis
Summary: Gstreamer plugin for encoding and decoding Ogg Vorbis audio files
Group: Libraries/Multimedia
Requires: libogg >= 1.0beta4
Requires: libvorbis >= 1.0beta4
Requires: gstreamer >= %{ver}

%description -n gstreamer-vorbis
Plugins for creating and playing Ogg Vorbis audio files.

%files -n gstreamer-vorbis  
%defattr(-, root, root)
%{prefix}/lib/gst/libgstvorbis*

%post -n gstreamer-vorbis
%{prefix}/bin/gst-register --gst-mask=0

%postun -n gstreamer-vorbis
%{prefix}/bin/gst-register --gst-mask=0
/sbin/ldconfig

%package -n gstreamer-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: Libraries/Multimedia
Requires: aalib >= 1.3
BuildRequires: aalib-devel >= 1.3
Requires: gstreamer >= %{ver}

%description -n gstreamer-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n gstreamer-aalib
%defattr(-, root, root)
%{prefix}/lib/gst/libgstaa*

%post -n gstreamer-aalib
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-audiofile
Summary: GStreamer plugin audiofile support
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: audiofile >= 0.2.1
Requires: gstreamer-plugin-libs = %{ver}

%description -n gstreamer-audiofile
Plugin for supporting reading and writing all files audiofile support

%files -n gstreamer-audiofile
%defattr(-, root, root)
%{prefix}/lib/gst/libafs*

%post -n  gstreamer-audiofile
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-avi
Summary: Gstreamer plugin for AVI format movie playback
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: gstreamer-plugin-libs = %{ver}
Requires: avifile = 0.6.20011111DD

%description -n gstreamer-avi
Plugins for playback of AVI format media files.

%files -n gstreamer-avi
%defattr(-, root, root)
%{prefix}/lib/gst/libgstavi*
%{prefix}/lib/gst/libwin*

%post -n gstreamer-avi
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-cdparanoia
Summary: Gstreamer plugin for CD audio input using CDParanoia IV
Group: Libraries/Multimedia
Requires: cdparanoia >= alpha9.7
Requires: gstreamer >= %{ver}
BuildRequires: cdparanoia-devel >= alpha9.7

%description -n gstreamer-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n gstreamer-cdparanoia
%defattr(-, root, root)
%{prefix}/lib/gst/libgstcdparanoia*

%post -n gstreamer-cdparanoia
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-flac
Summary: Gstreamer plugin for FLAC lossless audio format
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-flac
Plugin for the free FLAC lossless audio format.

%files -n gstreamer-flac
%defattr(-, root, root)
%{prefix}/lib/gst/libgstflac*

%post -n gstreamer-flac
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-gnomevfs
Summary: GStreamer plugins for GNOME VFS input and output
Group: Libraries/Multimedia
Requires: gnome-vfs > 1.0
Requires: gstreamer >= %{ver}
BuildRequires: gnome-vfs-devel > 1.0

%description -n gstreamer-gnomevfs
Plugins for reading and writing through GNOME VFS.

%files -n gstreamer-gnomevfs
%defattr(-, root, root)
%{prefix}/lib/gst/libgstgnomevfs*

%post -n gstreamer-gnomevfs
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-gsm
Summary: Gstreamer plugin for GSM lossy audio format
Group: Libraries/Multimedia
Requires: gsm >= 1.0.10
Requires: gstreamer >= %{ver}

%description -n gstreamer-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n gstreamer-gsm
%defattr(-, root, root)
%{prefix}/lib/gst/libgstgsm*

%post -n gstreamer-gsm
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-mpeg
Summary: GStreamer plugins for MPEG video playback and encoding
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: mpeg2dec => 0.2.0
Requires: gstreamer-plugin-libs => %{ver}
Obsoletes: gstreamer-mpeg1
Obsoletes: gstreamer-mpeg2

%description -n gstreamer-mpeg
Plugins for playing and encoding MPEG video

%files -n gstreamer-mpeg
%defattr(-, root, root)
%{prefix}/lib/gst/libgstmpeg1types*
%{prefix}/lib/gst/libgstmpeg1encoder*
%{prefix}/lib/gst/libgstmpegaudio*
%{prefix}/lib/gst/libgstmp1*
%{prefix}/lib/gst/libgstmpegstream*
# %{prefix}/lib/gst/libgstmpeg2play*
%{prefix}/lib/gst/libgstmpeg2enc*
%{prefix}/lib/gst/libgstmpeg2subt*
# %{prefix}/lib/gst/libgstmp2videoparse*

%post -n  gstreamer-mpeg
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-mpeg2dec
Summary: GStreamer plugins for Mpeg level 2 playback
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: mpeg2dec >= 0.2.0

%description -n gstreamer-mpeg2dec
Plugins for playing mpeg level 2 encoded movies

%files -n gstreamer-mpeg2dec
%defattr(-, root, root)
%{prefix}/lib/gst/libgstmpeg2dec*

%post -n  gstreamer-mpeg2dec
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-sdl
Summary: Gstreamer plugin for outputing to SDL
Group: Libraries/Multimedia
Requires: SDL >= 1.2.0
Requires: gstreamer >= %{ver}
BuildRequires: SDL-devel >= 1.2.0

%description -n gstreamer-sdl
Plugin for sending output to the Simple Direct Media architecture.
(http://www.libsdl.org). Usefull for fullscreen playback.

%files -n gstreamer-sdl
%defattr(-, root, root)
%{prefix}/lib/gst/libsdl*

%post -n gstreamer-sdl
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-openquicktime
Summary: GStreamer OpenQuicktime video Plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: OpenQuicktime = 20010429

%description -n gstreamer-openquicktime
Plugin which uses the OpenQuicktime library
from 3ivx to play Quicktime movies.
(http://openquicktime.sourceforge.net/)

%files -n gstreamer-openquicktime
%defattr(-, root, root)
%{prefix}/lib/gst/libgstopenquicktime*

%post -n gstreamer-openquicktime
%{prefix}/bin/gst-register --gst-mask=0

# Video 4 Linux
%package -n gstreamer-v4l
Summary: GStreamer video for linux input plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-v4l
Plugin for accessing video for Linux streams.

%files -n gstreamer-v4l
%defattr(-, root, root)
%{prefix}/lib/gst/libv4l*

%post -n gstreamer-v4l
%{prefix}/bin/gst-register --gst-mask=0

# ALSA Audio plugin
#%package -n gstreamer-alsa
#Summary: GStreamer plugins for the ALSA sound architecture
#Group: Libraries/Multimedia
#Requires: gstreamer >= %{ver}
#
#%description -n gstreamer-alsa
#Input and output plugin for the ALSA soundcard driver architecture.
#
#%files -n gstreamer-alsa
#%defattr(-, root, root)
#%{prefix}/lib/gst/libgstalsa*
#
#%post -n gstreamer-alsa
#%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-libdvd
Summary: GStreamer plugins for DVD playback
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-libdvd
Input and output plugin for the ALSA soundcard driver architecture.

%files -n gstreamer-libdvd
%defattr(-, root, root)
%{prefix}/lib/gst/libdvd*

%post -n gstreamer-libdvd
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-a52dec
Summary: GStreamer VOB decoder plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: a52dec >= 0.7.0

%description -n gstreamer-a52dec
Plugin for decoding of VOB files

%files -n gstreamer-a52dec
%defattr(-, root, root)
%{prefix}/lib/gst/libgsta52dec*

%post -n gstreamer-a52dec
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-mikmod
Summary: GStreamer Mikmod plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-mikmod
Plugin for playback of module files supported by mikmod under GStreamer

%files -n gstreamer-mikmod
%defattr(-, root, root)
%{prefix}/lib/gst/libgstmikmod*

%post -n gstreamer-mikmod
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-sid
Summary: GStreamer Sid C64 music plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: libsidplay => 1.36.0
%description -n gstreamer-sid
Plugin for playback of C64 SID format music files

%files -n gstreamer-sid
%defattr(-, root, root)
%{prefix}/lib/gst/libgstsid*

%post -n gstreamer-sid
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-rtp
Summary: GStreamer RTP plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
Requires: librtp >= 0.1

%description -n gstreamer-rtp
Library for transfering data with the RTP protocol

%files -n gstreamer-rtp
%defattr(-, root, root)
%{prefix}/lib/gst/libgstrtp*

%post -n gstreamer-rtp
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-artsd
Summary: GStreamer artsd output plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-artsd
Plugin for outputing to artsd sound server

%files -n gstreamer-artsd
%defattr(-, root, root)
%{prefix}/lib/gst/libartsd*

%post -n gstreamer-artsd
%{prefix}/bin/gst-register --gst-mask=0

#%package -n gstreamer-dv
#Summary: GStreamer dv plugin
#Group: Libraries/Multimedia
#Requires: gstreamer >= %{ver}
#
#%description -n gstreamer-dv
#Plugin for digital video support
#
#%files -n gstreamer-dv
#%defattr(-, root, root)
#%{prefix}/lib/gst/gstdv*
#
#%post -n gstreamer-dv
#%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-resample
Summary: GStreamer resample plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-resample
Library for resampling of sound

%files -n gstreamer-resample
%defattr(-, root, root)
%{prefix}/lib/gst/libgstresample*

%post -n gstreamer-resample
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-sine
Summary: GStreamer Sine effect plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-sine
Plugin for generating sine waves.

%files -n gstreamer-sine
%defattr(-, root, root)
%{prefix}/lib/gst/libgstsine*

%post -n gstreamer-sine
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-lavencode
Summary: GStreamer YUV to LAV converter
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-lavencode
It takes YUV video frames and adds a header in front of it so it can be processed with the lavtools from mjpeg

%files -n gstreamer-lavencode
%defattr(-, root, root)
%{prefix}/lib/gst/libgsty4m*

%post -n gstreamer-lavencode
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-silence
Summary: GStreamer Silence plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-silence
Plugin for generation of silence

%files -n gstreamer-silence
%defattr(-, root, root)
%{prefix}/lib/gst/libgstsilence*

%post -n gstreamer-silence
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-qcam
Summary: GStreamer QuickCam plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-qcam
Plugin for accessing a Quickcam source

%files -n gstreamer-qcam
%defattr(-, root, root)
%{prefix}/lib/gst/libgstqcam*

%post -n gstreamer-qcam
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-au
Summary: GStreamer au audiofile plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-au
Plugin for playback of the SUN au audio format.

%files -n gstreamer-au
%defattr(-, root, root)
%{prefix}/lib/gst/libgstparseau*

%post -n gstreamer-au
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-vcd
Summary: GStreamer Video CD plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-vcd
Video CD playback plugin

%files -n gstreamer-vcd
%defattr(-, root, root)
%{prefix}/lib/gst/libvcd*

%package -n gstreamer-ladspa
Summary: Gstreamer wrapper for LADSPA plugins
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%files -n gstreamer-ladspa
%defattr(-, root, root)
%{prefix}/lib/gst/libgstladspa*

%description -n gstreamer-ladspa
Plugin which wraps LADSPA plugins for use by GStreamer applications.

%post -n gstreamer-ladspa
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-udp
Summary: Gstreamer pluginis for UDP tranport
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-udp
Plugins for UDP transport

%files -n gstreamer-udp
%defattr(-, root, root)
%{prefix}/lib/gst/libgstudp*

%post -n gstreamer-udp
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-mp3
Summary: GStreamer plugins for mp3 playback
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-mp3
Plugins for decoding mp3 files. We do recommend you
use Ogg Vorbis format instead however since it is both unencumbered by patents
and better.

%files -n gstreamer-mp3
%defattr(-, root, root)
# %{prefix}/lib/gst/libgstmpg123*
# %{prefix}/lib/gst/libgstmp3parse*
%{prefix}/lib/gst/libgstmp3types*

%post -n  gstreamer-mp3
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-flx
Summary: Gstreamer plugin for FLI/FLX animation format
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-flx
Plugin for playing FLI/FLX animations under GStreamer

%files -n gstreamer-flx
%defattr(-, root, root)
%{prefix}/lib/gst/libgstflx*

%post -n gstreamer-flx
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-deinterlace
Summary: GStreamer Video deinterlacer
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-deinterlace
Video deinterlace plugin

%files -n gstreamer-deinterlace
%defattr(-, root, root)
%{prefix}/lib/gst/libgstdeinterlace*

%post -n gstreamer-deinterlace
%{prefix}/bin/gst-register --gst-mask=0


%package -n gstreamer-chart
Summary: GStreamer plugin for converting audio into video
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-chart
Plugin for converting audio into video

%files -n gstreamer-chart
%defattr(-, root, root)
%{prefix}/lib/gst/libchart*

%post -n gstreamer-chart
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-visualisation
Summary: Gstreamer visualisations plugins
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-visualisation
Various plugins for visual effects to use with audio. Included are Smoothwave, Spectrum and vumeter

%files -n gstreamer-visualisation
%defattr(-, root, root)
%{prefix}/lib/gst/libgstsmooth*
%{prefix}/lib/gst/libgstspectrum*
%{prefix}/lib/gst/libgstvu*

%post -n gstreamer-visualisation
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-plugin-libs
Summary: GStreamer support libraries
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-plugin-libs
GStreamer support libraries

%files -n gstreamer-plugin-libs
%defattr(-, root, root)
%{prefix}/lib/gst/libgstaudio*
%{prefix}/lib/gst/libgstidct*
%{prefix}/lib/gst/libgstriff*
%{prefix}/lib/gst/libgstresample*

%package -n gstreamer-misc
Summary: GStreamer plugins for various effects
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}

%description -n gstreamer-misc
Plugins for various effects

%files -n gstreamer-misc
%defattr(-, root, root)
%{prefix}/lib/gst/libgstadder*
%{prefix}/lib/gst/libgstalaw*
%{prefix}/lib/gst/libgstjpeg*
%{prefix}/lib/gst/libgstintfloat*
%{prefix}/lib/gst/libgstlevel*
%{prefix}/lib/gst/libgstmedian*
%{prefix}/lib/gst/libgstmono2stereo*
%{prefix}/lib/gst/libgstmulaw*
%{prefix}/lib/gst/libgstpassthrough*
%{prefix}/lib/gst/libgstrtjpe*
%{prefix}/lib/gst/libgststereo*
%{prefix}/lib/gst/libgstvol*
%{prefix}/lib/gst/libgstplayondemand*
%{prefix}/lib/gst/libgstspeed*

%post -n gstreamer-misc
%{prefix}/bin/gst-register --gst-mask=0

%package -n gstreamer-wav
Summary: Gstreamer wav audio format plugin
Group: Libraries/Multimedia
Requires: gstreamer >= %{ver}
%description -n gstreamer-wav
Plugin for playback of wav audio files

%files -n gstreamer-wav
%defattr(-, root, root)
%{prefix}/lib/gst/libgstwavparse*

%post -n gstreamer-wav
%{prefix}/bin/gst-register --gst-mask=0
